import { IABIMethod, ILogItem } from "./ethjs-abi";
export declare function encodeInputs(method: IABIMethod, args?: any[]): string;
export declare function decodeOutputs(method: IABIMethod, outputData: string): any[];
export interface IDecodedLog {
    type: string;
    [key: string]: any;
}
export declare class ContractLogDecoder {
    abi: IABIMethod[];
    private _decoder;
    constructor(abi: IABIMethod[]);
    decode(rawlog: ILogItem): IDecodedLog | null;
}
export declare function decodeLogs(methods: IABIMethod[], logs: ILogItem[]): IDecodedLog[];
